<template>
  <div class="sign-in">
    <el-row>
      <el-col
        :xs="{ span: 22, offset: 1 }"
        :sm="{ span: 14, offset: 5 }"
        :md="{ span: 10, offset: 7 }"
        :lg="{ span: 8, offset: 8 }"
        :xl="{ span: 8, offset: 8 }">
        <el-card class="sign-in-card" v-if="localsign == 0">
          <div slot="header" class="sign-in-header">Sign In</div>
          <ul class="social-buttons">
            <li is="sign-in-social-button" provider="google"></li>
            <li is="sign-in-social-button" provider="facebook"></li>
            <li is="sign-in-social-button" provider="github"></li>
            <!-- <li is="sign-in-social-button" provider="microsoft"></li> -->
          </ul>
        </el-card>
        <el-card class="sign-in-card" v-if="localsign == 1">
          <div slot="header" class="sign-in-header">Sign In</div>
          <el-form @submit.prevent.native="submit">
            <el-form-item label="Login:" prop="login">
              <el-input placeholder="Login" type="login" v-model="form.login"></el-input>
            </el-form-item>
            <el-form-item label="Password:" prop="password">
              <el-input placeholder="Password" type="password" v-model="form.password"></el-input>
            </el-form-item>
            <div class="sign-in-button">
              <el-button type="primary" native-type="submit" class="button login-button" size="medium" :loading="loading">Sign In</el-button>
            </div>
          </el-form>
        </el-card>

      </el-col>
    </el-row>
  </div>
</template>

<script>
import SignInSocialButton from '@/components/SignInSocialButton'

export default {
  components: {
    SignInSocialButton
  },

  data () {
    return {
      localsign: window._config.LOCALSIGN,
      form: {
        login: null,
        password: null
      },
      loading: false
    }
  },

  methods: {
    submit () {
      if (this.form.login && this.form.password) {
        this.loading = true
        this.$api.login(this.form.login, this.form.password).then(response => {
          localStorage.setItem('_xtoken', response.headers['x-subject-token'])
          window.location.href = '/'
        }).catch(error => {
          this.$notify.error({
            title: `Error`,
            message: error.response.data
          })
        }).finally(() => {
          this.loading = false
        })
      }

      return false
    }
  }
}
</script>

<style scoped lang="scss">
.sign-in {
  padding-top: 60px;
  padding-bottom: 60px;
}

.social-buttons {
  list-style: none;
  padding: 0;
  margin: 0;

  * {
    margin-bottom: 10px;
  }
}

.sign-in-button {
  width: 100%;
  //margin: 0;
  //padding: 0;

  text-align: center;
  //list-style: none;
}
.login-button {
  height: 48px;
  width: 100%;
  padding: 10px 24px;
  font-size: 18px;
  background-color: #39C2D7;
  border-color: #39C2D7;
}
</style>
